Skip to Content

POST Trips

Use this endpoint to create a new trip within a branch.

User level: Advanced

Endpoint

POST /v1/{scopeId}/trips
PropertyValue
MethodPOST
Scope IDBranch UUID
AuthenticationAuthorization: Bearer <access_token>
Required scoperoutix:trips:write
Content-Typeapplication/json
Request bodyJSON object

Allowed create fields

Field
reference
status
vehicle_id
driver_id
start_date
end_date
comment

Example request

curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/trips" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "reference": "TRP-2025-010", "status": "planned", "start_date": "2025-01-20T08:00:00Z" }'

Example response

{ "data": { "id": "550e8400-e29b-41d4-a716-446655440041", "reference": "TRP-2025-010", "status": "planned", "start_date": "2025-01-20T08:00:00Z" }, "version": "v1" }
Last updated on